#!/usr/bin/ruby

vol=ARGV[0]

if vol != nil and vol =~ /^[a-z0-9A-Z\/]*$/
   vol = vol.sub(/.*\//, '')
else
   vol = 'vol1'
end

error=0

csv=`/usr/lpp/mmfs/bin/mmlsfileset #{vol} -L -Y`

csv.each_line do |line| 
  items = line.split(':')
  if items[2] != 'HEADER' and items.length > 33
    maxinodes = items[32]
    allocated = items[33]
    fileset = items[11].gsub('%2F', '/')    
    if allocated.to_f / maxinodes.to_f > 0.90
      puts "#{fileset} running out of inodes #{allocated} of #{maxinodes}"
      error = 1
    end
  end
end

if error == 0
  puts "0"
end
